Bug Hunting Session
Bug 34590 - incorrect appearance of gif pictures
Summary: incorrect appearance of gif pictures
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Images
  Show dependency treegraph
 
Reported: 2011-02-22 22:30 UTC by sasha.libreoffice
Modified: 2017-11-19 19:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
image with layer (7.51 KB, image/gif)
2011-02-22 22:30 UTC, sasha.libreoffice
Details
Libo 4.1.0.0 master with this gif (151.39 KB, image/png)
2013-05-01 02:41 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-02-22 22:30:01 UTC
Created attachment 43690 [details]
image with layer

Here is gif picture. When I open it in Gimp I see: Size of whole image 580 × 387 pixels. Size of layer 575 x 227 pixels. When I insert it in office it output on screen, it outputs only layer, but not whole image. HTML document becomes corrupt.
I tried it on Linux 64. Mozilla outputs whole image.
Comment 1 sasha.libreoffice 2011-02-23 02:46:45 UTC
On windows 32 the same problem as on Linux 64.
Comment 2 tester8 2011-02-23 07:58:44 UTC
Reproducued with LO 3.3.1 RC2 Ubuntu 10.04 x86.
Comment 3 Björn Michaelsen 2011-12-23 11:49:14 UTC Comment hidden (obsolete)
Comment 4 sasha.libreoffice 2012-01-01 22:58:34 UTC
reproduced on LibO 3.5.0 beta 1
Comment 5 Thomas Arnhold 2013-05-01 02:41:29 UTC
Created attachment 78678 [details]
Libo 4.1.0.0 master with this gif
Comment 6 Thomas Arnhold 2013-05-01 02:42:05 UTC
I can't see any problem with 4.1.0.0 master (didn't try 4.0).
Comment 7 sasha.libreoffice 2013-05-02 08:37:44 UTC
On second screenshot I see that problem is still reproducible. Picture ends exactly beneath frames of text. But should be empty space beneath of frames. And hight of picture should be almost 2 times bigger.

PS: this picture is generated by msWord by saving document as HTML. Pictures with this problem may be potentially very popular. And therefore problems is important.

What is interesting: copy-pasting this picture from Firefox to LibreDraw pastes it with correct size, but with black background (because pastes as JPEG)
Comment 8 Thomas Arnhold 2013-05-02 16:39:41 UTC
Ah ok, didn't see that it's bigger in height.
Comment 9 Julien Nabet 2013-11-15 23:48:22 UTC
On pc Debian x86-64 with master sources updated today, I reproduce the problem.

Michael: do you know who may help here? (eg by giving some code pointers?)
Comment 10 QA Administrators 2015-04-19 03:20:36 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2015-06-15 12:33:09 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 12 QA Administrators 2016-09-20 10:01:07 UTC Comment hidden (obsolete)
Comment 13 Telesto 2016-11-18 14:39:30 UTC
Still repro
Version: 5.3.0.0.alpha1+
Build ID: b223028d65d24ffcd8e27974c29c2744a5df6227
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-16_22:50:22
Locale: nl-NL (nl_NL); Calc: CL
Comment 14 QA Administrators 2017-11-19 19:14:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug